%define with_ksmarttray 1
%define with_smart_update 1

Name: smart
Version: 0.39
Release: 2mdk
Group: System/Configuration/Packaging
Summary: Next generation package handling tool
Source0: smart-%{version}.tar.bz2
Source1: distro.py
Source2: smart.console
Source3: smart.pam
Source4: smart.desktop
Source5: smart-fr.tar.bz2
License: GPL
URL: http://smartpm.org/
Requires: python
Requires: pygtk2.0 >= 2.3.94
Requires: python-rpm
%ifarch %{ix86}
Requires: python-psyco
%endif
Requires: usermode-consoleonly
BuildRequires: python-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Smart Package Manager is a next generation package handling tool.

%if %with_smart_update 
%package update
Summary: Allows execution of 'smart update' by normal users (suid)
Group: System/Configuration/Packaging
Requires: smart

%description update
Allows execution of 'smart update' by normal users through a
special suid command.
%endif

%if %with_ksmarttray
%package -n ksmarttray
Summary: KDE tray program for watching updates with Smart Package Manager
Group: System/Configuration/Packaging
Requires: smart-update
BuildRequires: kdelibs-devel
BuildRequires: libqt-devel
BuildRequires: make
BuildRequires: popt
BuildRequires: rpm-devel >= 4.2.1
BuildRequires: automake
BuildRequires: autoconf

%description -n ksmarttray
KDE tray program for watching updates with Smart Package Manager.
%endif

%prep
%setup -q -a 5

%build
env CFLAGS="%{optflags}" python setup.py build

%if %with_ksmarttray
pushd contrib/ksmarttray
%make -f admin/Makefile.common
%ifarch amd64
%configure --disable-rpath --enable-libsuffix=64
%else
%configure --disable-rpath
%endif
%make
popd
%endif

%if %with_smart_update 
pushd contrib/smart-update
%make
popd
%endif

%install
rm -fr %{buildroot}
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

mkdir -p %{buildroot}%{_libdir}/smart
cp %{_sourcedir}/distro.py %{buildroot}%{_libdir}/smart/

ln -sf consolehelper %{buildroot}%{_bindir}/smart-root

mkdir -p %{buildroot}/%{_sysconfdir}/security/console.apps
mkdir -p %{buildroot}/%{_sysconfdir}/pam.d
install -m 644 %{_sourcedir}/smart.console \
	%{buildroot}/%{_sysconfdir}/security/console.apps/smart-root
install -m 644 %{_sourcedir}/smart.pam \
	%{buildroot}/%{_sysconfdir}/pam.d/smart-root

mkdir -p %{buildroot}/%{_datadir}/applications
install -m 644 %{_sourcedir}/smart.desktop \
	%{buildroot}/%{_datadir}/applications/smart-package-manager.desktop
mkdir -p  %{buildroot}/%{_datadir}/pixmaps
install -m 644 smart/interfaces/images/smart.png \
	%{buildroot}/%{_datadir}/pixmaps/smart-package-manager.png
mkdir -p %{buildroot}%{_localstatedir}/smart/channels

%if %with_smart_update 
pushd contrib/smart-update
cp -f smart-update %{buildroot}%{_bindir}
popd
%endif

%if %with_ksmarttray
pushd contrib/ksmarttray
%make install DESTDIR=%{buildroot}
popd
%endif

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(0644,root,root,0755)
%doc HACKING README LICENSE TODO IDEAS doc
%defattr(-,root,root)
%{_libdir}/smart/distro.py
%{_bindir}/smart-root
%config(noreplace) %{_sysconfdir}/security/console.apps/smart-root
%config(noreplace) %{_sysconfdir}/pam.d/smart-root
%{_datadir}/applications/smart-package-manager.desktop
%{_datadir}/pixmaps/smart-package-manager.png
%dir %{_localstatedir}/smart/channels

%if %with_smart_update
%files update
%attr(4755,root,root) %{_bindir}/smart-update
%endif

%if %with_ksmarttray
%files -n ksmarttray
%attr(0755,root,root) %{_bindir}/ksmarttray
%attr(-,root,root) %{_datadir}/apps/ksmarttray
%endif

%changelog
* Tue Sep 20 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-09-20 15:31:05 (922)
- Reenabled gpg signatire check ( Thanks Andreas )

* Mon Sep 12 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-09-12 16:50:49 (886)
- updated to version 0.39 (fixes #17385)

* Mon Sep 12 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-09-12 16:31:29 (884)
- applied changes which were done only in cvs:
  - New upstream bugfix release: 0.38 (chiquitto@mandriva.com>
  - Patch0 was merged, remove it (chiquitto@mandriva.com)
  - Patch0: fix bug 17776: smart-update segfaults at startup (rgarciasuarez@mandriva.com)
  - Source5: fix French translations (rgarciasuarez@mandriva.com)
- removed changelog from specfile in svn, repsys adds it back at package
  build time

* Wed Aug 17 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 07:50:01 (671)
- Small changelog fix

* Wed Aug 17 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 07:47:30 (670)
- Small changelog fix

* Wed Aug 17 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 07:43:35 (669)
- Added changelog in package for moment

* Tue Aug 16 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-16 13:07:19 (657)
- New upstream bugfix version
- Package now have his home on subversion too

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 16:18:03 (33)
- Uploading package ./smart
